<?php //WooCommerce 

global $vidi_options;

add_action( 'after_setup_theme', 'vidi_woocommerce_support' );
function vidi_woocommerce_support() {
    add_theme_support( 'woocommerce' );
};

// Remove the product rating display on product loops
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );

add_filter( 'woocommerce_show_page_title' , 'woo_hide_page_title' );
function woo_hide_page_title() {
    return false;
};

function woocommerce_pagination() {
    return false;
};

add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 9;' ), 20 );


function my_print_stars(){
    global $wpdb;
    global $post;
    $count = $wpdb->get_var("
    SELECT COUNT(meta_value) FROM $wpdb->commentmeta
    LEFT JOIN $wpdb->comments ON $wpdb->commentmeta.comment_id = $wpdb->comments.comment_ID
    WHERE meta_key = 'rating'
    AND comment_post_ID = $post->ID
    AND comment_approved = '1'
    AND meta_value > 0
");

$rating = $wpdb->get_var("
    SELECT SUM(meta_value) FROM $wpdb->commentmeta
    LEFT JOIN $wpdb->comments ON $wpdb->commentmeta.comment_id = $wpdb->comments.comment_ID
    WHERE meta_key = 'rating'
    AND comment_post_ID = $post->ID
    AND comment_approved = '1'
");

if ( $count > 0 ) {

    $average = number_format($rating / $count, 2);


    echo '<span class="star-rating" title="'.sprintf(esc_html__('Rated %s out of 5', 'vidi'), $average).'"><span style="width:'.($average*16).'px"><span itemprop="ratingValue" class="rating">'.$average.'</span> </span></span>';

    }

}
add_action('woocommerce_after_shop_loop_item', 'my_print_stars' );

if(!function_exists('vidi_post_taxonomy')) {

    function vidi_post_taxonomy($post_id, $taxonomy, $delimiter = ', ', $get = 'name', $link = true) {

        $tags = wp_get_post_terms($post_id, $taxonomy);

        $list = '';

        foreach ($tags as $tag) {
            if($link) {
                $list .= '<a href="' . get_category_link($tag->term_id) . '">' . $tag->$get . '</a>' . $delimiter;
            } else {
                $list .= $tag->$get . $delimiter;
            }
        }

        return substr($list, 0, strlen($delimiter) * (-1));

    }

}
?>