 <?php
/* ======================================= */
/* Vidi Theme Functions */
/* ======================================= */
if ( ! isset( $content_width ) ) $content_width = 1170; /* pixels */

/* Makes theme available for translation. */
add_action('after_setup_theme', 'vidi_theme_setup');
function vidi_theme_setup(){

load_theme_textdomain( 'vidi', get_template_directory() . '/languages' );
}

/**
 * Include Framework. (Theme options)
 */ 
if ( class_exists( 'ReduxFramework' )) {
	require_once( get_template_directory() . '/theme-options/options.php' );
}

/* ======================================= */
/* Theme Stylesheets */
/* ======================================= */

function vidi_theme_styles_basic()  
{
	wp_enqueue_style( 'vidi-style', get_stylesheet_uri(), array(), '1', 'all' );
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/framework/bootstrap/bootstrap.css', array(), '1', 'all' );
	wp_enqueue_style( 'vidi-style-css', get_template_directory_uri() . '/framework/css/main_style.css', array(), '1', 'all' );
	wp_enqueue_style( 'vidi-options', get_template_directory_uri() . '/framework/css/options.css', array(), '1', 'all' );
	wp_enqueue_style( 'vidi-redux-style', get_template_directory_uri() . '/theme-options/style.css', array(), '1', 'all' );
	wp_enqueue_style( 'icon-awesome', get_template_directory_uri() . '/framework/css/fonts/font-awesome/css/font-awesome.min.css', array(), '1', 'all' );
	wp_enqueue_style( 'icon-themify', get_template_directory_uri() . '/framework/css/fonts/font-themify/css/themify-icons.css', array(), '1', 'all' );
	wp_enqueue_style( 'icon-linea', get_template_directory_uri() . '/framework/css/fonts/font-linea/css/linea-icons.css', array(), '1', 'all' );
	wp_enqueue_style( 'flex-slider', get_template_directory_uri() . '/framework/FlexSlider/flexslider.css', array(), '1', 'all' );
	wp_enqueue_style( 'owl_carousel', get_template_directory_uri() . '/framework/css/owl.carousel.css', array(), '1', 'all' );
	wp_enqueue_style( 'owl_remodal', get_template_directory_uri() . '/framework/css/remodal.css', array(), '1', 'all' );
	wp_enqueue_style( 'owl_prettyphoto', get_template_directory_uri() . '/framework/css/prettyphoto.css', array(), '1', 'all' );
	wp_enqueue_style( 'owl_remodal_theme', get_template_directory_uri() . '/framework/css/remodal-default-theme.css', array(), '1', 'all' );
	wp_enqueue_style( 'tipso', get_template_directory_uri() . '/framework/css/tipso.min.css', array(), '1', 'all' );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/framework/css/animate.css', array(), '1', 'all' );
	wp_enqueue_style( 'lightbox', get_template_directory_uri() . '/framework/css/lightbox.css', array(), '1', 'all' );	
	wp_enqueue_style( 'vidi_woocommerce_css', get_template_directory_uri() . '/framework/css/woocommerce.css', array(), '1', 'all' ); 
	wp_enqueue_style( 'vidi-fonts', vidi_fonts_url(), array(), null );
}  

add_action( 'wp_enqueue_scripts', 'vidi_theme_styles_basic', 1 ); 


function equip_admin() {
  $theme_info = wp_get_theme(); 
  wp_enqueue_style( 'vidi-admin-styles', get_template_directory_uri() . '/framework/css/admin/styles.css', array(), $theme_info->get( 'Version' )); 
};
add_action('admin_enqueue_scripts', 'equip_admin', 10000 );


/* ======================================= */
/* Loading Theme Scripts */
/* ======================================= */
add_action('wp_enqueue_scripts', 'vidi_load_scripts');
if ( !function_exists( 'vidi_load_scripts' ) ) {
	function vidi_load_scripts() {
		global $vidi_options;
		wp_enqueue_script('bootstrap', get_template_directory_uri().'/framework/bootstrap/bootstrap.min.js', false, null , true);
		wp_enqueue_script('lightbox', get_template_directory_uri().'/framework/js/lightbox.min.js', false, null , true);
		wp_enqueue_script('flexslider', get_template_directory_uri().'/framework/FlexSlider/jquery.flexslider-min.js', false, null , true);
		wp_enqueue_script('flic', get_template_directory_uri().'/framework/js/jflickrfeed.min.js', false, null , true);
		wp_enqueue_script('gmap', get_template_directory_uri().'/framework/js/gmap3.min.js', false, null , true);
		wp_enqueue_script('owl', get_template_directory_uri().'/framework/js/owl.carousel.min.js', false, null , true);
		wp_enqueue_script('prettyphoto', get_template_directory_uri().'/framework/js/jquery.prettyphoto.js', false, null , true);
		wp_enqueue_script('tipso', get_template_directory_uri().'/framework/js/tipso.min.js', false, null , true);
		wp_enqueue_script('remodal', get_template_directory_uri().'/framework/js/remodal.min.js', false, null , true);
		wp_enqueue_script('typed', get_template_directory_uri().'/framework/js/typed.js', false, null , true);
		wp_enqueue_script('retina', get_template_directory_uri().'/framework/js/retina.min.js', false, null , true);
		wp_enqueue_script('isotope', get_template_directory_uri().'/framework/js/isotope.pkgd.min.js', false, null , true);
		wp_enqueue_script('vidi_custom', get_template_directory_uri().'/framework/js/custom.js', false, null , true);
		$menu_type = isset($vidi_options['vidi_sticky_menu_var']) ? $vidi_options['vidi_sticky_menu_var'] : false;
		if (!$menu_type) {
		  wp_enqueue_script('vidi_menu1', get_template_directory_uri().'/framework/js/menu2.js', false, null , true);
		} else {
		  wp_enqueue_script('vidi_menu2', get_template_directory_uri().'/framework/js/menu1.js', false, null , true);  
		}
		$vidi_theme = array( 
				'theme_url' => get_template_directory_uri(),
				'page_layout' => $vidi_options['vidi_web_page_layout']
			);
    	wp_localize_script( 'vidi_custom', 'vidi_theme', $vidi_theme );
	}    
}



function vidi_custom_register_admin_scripts() {

wp_register_script( 'vidi_custom-javascript', get_template_directory_uri().'/framework/js/admin-custom.js' );
wp_enqueue_script( 'vidi_custom-javascript' );

} // end vidi_custom_register_admin_scripts
add_action( 'admin_enqueue_scripts', 'vidi_custom_register_admin_scripts' );


function vidi_wph_tags_cloud($args) {
    $args = array(
      'number'      => '10',
    );
    return $args;
}
add_filter('widget_tag_cloud_args','vidi_wph_tags_cloud');


/*=======================================
	Includes
=======================================*/
include(get_template_directory().'/framework/functions/menus.php'); //Theme Menu
include(get_template_directory().'/framework/functions/sidebars.php'); //Sidebars
include(get_template_directory().'/framework/functions/thumbs.php'); //Thumbnails
include(get_template_directory().'/framework/functions/misc.php'); //Misc
include(get_template_directory().'/framework/functions/extrafields.php'); //ExtraFields
include(get_template_directory().'/framework/functions/breadcrumbs.php'); //Thumbnails
if ( class_exists( 'WooCommerce' ) ) {
  include (get_template_directory() . '/framework/functions/woocommerce.php');
};


/*=======================================
  TGM Plugins Activations
=======================================*/
require_once get_template_directory() . '/framework/functions/tgma/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'vidi_register_required_plugins' );
function vidi_register_required_plugins() {

  $plugins = array(

	array(
		  'name'     			=> 'Redux Framework', // The plugin name
		  'slug'     			=> 'redux-framework', // The plugin slug (typically the folder name)
		  'required' 			=> true, // If false, the plugin is only 'recommended' instead of required
      'force_activation'  => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation'=> true, // If true, plugin is deactivated upon theme activation and cannot be deactivated until theme switch
	),
     array(
      'name'               => 'WPBakery Page Builder', // The plugin name
      'slug'               => 'js_composer', // The plugin slug (typically the folder name)
      'source'             => 'js_composer.zip',
      'required'           => true, // If false, the plugin is only 'recommended' instead of required
      'version'            => '5.6',
      'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation' => false, // If true, plugin is deactivated upon theme activation and cannot be deactivated until theme switch
    ),

	array(
  		'name'     				    => 'Slider Revolution', // The plugin name
  		'slug'     				    => 'revslider', // The plugin slug (typically the folder name)
      'source'              => 'revslider.zip',
      'version'             => '5.4.8.1',
  		'required' 				    => true, // If false, the plugin is only 'recommended' instead of required
      'force_activation'   	=> true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation' 	=> true, // If true, plugin is deactivated upon theme activation and cannot be deactivated until theme switch
	),

    array(
      'name'               => 'ViDi Shortcodes', // The plugin name
      'slug'               => 'vidi-shortcodes', // The plugin slug (typically the folder name)
      'source'             => 'vidi-shortcodes.zip', // The plugin source
      'required'           => true, // If false, the plugin is only 'recommended' instead of required
      'version'            => '1.0.2', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
      'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation' => true, // If true, plugin is deactivated upon theme activation and cannot be deactivated until theme switch
    ),

    array(
      'name'               => 'ViDi Portfolio', // The plugin name
      'slug'               => 'vidi-portfolio', // The plugin slug (typically the folder name)
      'source'             => 'vidi-portfolio.zip', // The plugin source
      'required'           => true, // If false, the plugin is only 'recommended' instead of required
      'version'            => '1.0.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
      'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation' => true, // If true, plugin is deactivated upon theme activation and cannot be deactivated until theme switch
    ),

    array(
      'name'               => 'ViDi Testimonials', // The plugin name
      'slug'               => 'vidi-testimonials', // The plugin slug (typically the folder name)
      'source'             => 'vidi-testimonials.zip', // The plugin source
      'required'           => true, // If false, the plugin is only 'recommended' instead of required
      'version'            => '1.0.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
      'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation' => true, // If true, plugin is deactivated upon theme activation and cannot be deactivated until theme switch
    ),

    array(
      'name'               => 'ViDi Widgets', // The plugin name
      'slug'               => 'vidi-widgets', // The plugin slug (typically the folder name)
      'source'             => 'vidi-widgets.zip', // The plugin source
      'required'           => true, // If false, the plugin is only 'recommended' instead of required
      'version'            => '1.0.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
      'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
      'force_deactivation' => true, // If true, plugin is deactivated upon theme activation and cannot be deactivated until theme switch
    ),

    array(
      	'name'            => 'Contact Form 7', // The plugin name
      	'slug'            => 'contact-form-7', // The plugin slug (typically the folder name)
      	'required'        => false, // If false, the plugin is only 'recommended' instead of required
    ),

    array(
      	'name'            => 'Envato Market', // The plugin name
      	'slug'            => 'envato-market', // The plugin slug (typically the folder name)
      	'source'          => 'envato-market.zip', // The plugin source
      	'required'        => false, // If false, the plugin is only 'recommended' instead of required
    ),

  );

  $config = array(
    'id'           => 'vidi',                 // Unique ID for hashing notices for multiple instances of TGMPA.
    'default_path' => dirname( __FILE__ ) . '/framework/functions/tgma/plugins/',
    'menu'         => 'tgmpa-install-plugins',
    'parent_slug'  => 'themes.php',
    'capability'   => 'edit_theme_options',
    'has_notices'  => true,
    'dismissable'  => true,
    'dismiss_msg'  => '',
    'is_automatic' => true,
    'message'      => '',
  );

  tgmpa( $plugins, $config );
}

class ViDiTheme_VC {


  public function __construct() {

    // set hooks
    add_action( 'vc_before_init', array( $this, 'set_vc_as_bundled' ) );
    add_action( 'vc_build_admin_page', array( $this, 'remove_vc_core_widgets' ) );
    add_action( 'vc_load_shortcode', array( $this, 'remove_vc_core_widgets' ) );
    remove_action( 'admin_init', 'vc_page_welcome_redirect');
    remove_action( 'vc_activation_hook', 'vc_page_welcome_set_redirect');


    // add custom param type
    if ( function_exists( 'vc_add_shortcode_param' ) ) {
      vc_add_shortcode_param( 'hidden_textfield', array( $this, 'hidden_field_param_cb' ) );
    }
  }


  /**
   * Setup VC as "bundled with theme"
   */
  public function set_vc_as_bundled() {
    if ( function_exists( 'vc_manager' ) ) {
      vc_manager()->disableUpdater( true );
      vc_manager()->setIsAsTheme( true );

    }
    vc_set_as_theme();
  }


  /**
   * Remove rude VC built-in elements
   */
  public function remove_vc_core_widgets() {
    vc_remove_element( 'vc_gallery' );
    vc_remove_element( 'vc_images_carousel' );
    vc_remove_element( 'vc_btn' );
    vc_remove_element( 'vc_cta' );
    vc_remove_element( 'vc_posts_slider' );
  }

}
new ViDiTheme_VC();

/* ------------------------------------------------------------------------ */
/* Post Formats  */
/* ------------------------------------------------------------------------ */

function vidi_setup() {
  add_theme_support( 'automatic-feed-links' );
  add_theme_support( 'post-formats', array( 'image', 'quote', 'video', 'audio', 'gallery' ) );
  add_theme_support('woocommerce');
}

add_action( 'after_setup_theme', 'vidi_setup' );
/* ------------------------------------------------------------------------ */
/* Add Slug to body class  */
/* ------------------------------------------------------------------------ */

function vidi_add_slug_body_class( $vidi_classes ) {
global $post;
if ( isset( $post ) ) {
$vidi_classes[] = $post->post_type . '-' . $post->post_name;
}
return $vidi_classes;
}
add_filter( 'body_class', 'vidi_add_slug_body_class' );

/*-----------------------------------------------------------------------------------*/
/*  Exclude Pages from Search Results
/*-----------------------------------------------------------------------------------*/

function vidi_search_filter($query) {
  if ($query->is_search) {
    $query->set('post_type', 'post');
  }
  return $query;
};
add_filter('pre_get_posts','vidi_search_filter');


/*-----------------------------------------------------------------------------------*/
/*  Read More Button
/*-----------------------------------------------------------------------------------*/

add_filter( 'the_content_more_link', 'vidi_modify_read_more_link' );
function vidi_modify_read_more_link() {
return '<div class="vidi_read_more_holder"> <a class="vidi_readmore_btn" href="' . get_permalink() . '">'.esc_html__('Read More <i class="fa fa-fw fa-angle-double-right" aria-hidden="true"></i>','vidi').'</a></div>';
};


/*-----------------------------------------------------------------------------------*/
/*  FAllback for Menu
/*-----------------------------------------------------------------------------------*/
function vidi_menu_fallback ($args) {
  echo '<div class="menu-main-menu-container">
  <ul id="menu-main-menu-1" class="vidi_header_menu_fixed"><li class="menu-item menu-item-type-post_type menu-item-object-page menu-item-5 vidi_pid-2"><a href="'. esc_url(get_home_url('/')) .'">' . esc_html__('Home', 'vidi') . '</a></li></ul></div>';
}

/*-----------------------------------------------------------------------------------*/
/*  Connect Google Fonts
/*-----------------------------------------------------------------------------------*/

function vidi_fonts_url() {
$fonts_url = '';
 
/* Translators: If there are characters in your language that are not
* supported by Lora, translate this to 'off'. Do not translate
* into your own language.
*/
$montserrat = _x( 'on', 'Montserrat font: on or off', 'vidi' );
$cardo = _x( 'on', 'Cardo font: on or off', 'vidi' );
 
if ( 'off' !== $montserrat || 'off' !== $cardo ) {
$font_families = array();
 
if ( 'off' !== $montserrat ) {
$font_families[] = 'Montserrat:400,700';
}
 
if ( 'off' !== $cardo ) {
$font_families[] = 'Cardo:400,400italic,700';
}

$query_args = array(
'family' => urlencode( implode( '|', $font_families ) ),
'subset' => urlencode( 'latin,latin-ext' ),
);
 
$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
}
 
return esc_url_raw( $fonts_url );
}



function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328740&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        ?>