<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
    <?php global $vidi_options; $allowed_html_array = wp_kses_allowed_html( 'post' )?>
    <?php if ( !function_exists( 'has_site_icon' ) || !has_site_icon() ) {?>
    <link rel="shortcut icon" href="<?php  echo esc_url(stripslashes($vidi_options['vidi_header_favicon']['url']));?>">
        <?php if(!empty($vidi_options['vidi_favicon_retina_ipad']['url'])) { ?><link rel="apple-touch-icon" sizes="144x144" href="<?php echo esc_url($vidi_options['vidi_favicon_retina_ipad']['url']); ?>" /><?php } ?>  
        <?php if(!empty($vidi_options['vidi_favicon_retina_iphone']['url'])) { ?><link rel="apple-touch-icon" sizes="114x114" href="<?php echo esc_url($vidi_options['vidi_favicon_retina_iphone']['url']); ?>" /><?php } ?> 
    <?php };?>
    <?php wp_head(); ?>
</head>
<body  <?php body_class(); ?>>
<div id="preloader"><div id="status"></div></div>
<div class="container"></div>
    <!-- Do not delete this container -->  
    <?php if($vidi_options['vidi_web_page_layout']==1) { ?><div class="vidi_head_holder boxed nav-down"><?php } else { ?><div class="vidi_head_holder nav-down"><?php } ?>
        <div class="vidi_logo_holder">
        <?php if($vidi_options['menu_fixed']==0){ ?><div class="container vidi_logo-menu_container"><?php } else { ?><div class="container-full vidi_logo-menu_container"><?php } ?>
            <div class="row vertical-align">
                <?php if ($vidi_options['logo-menu_burger']=='1'){?>
                <div class="col-lg-2 col-md-3 col-sm-3 col-xs-6">
                    <?php } else { ?>
                <div class="col-lg-3 col-md-3 col-sm-3 col-xs-6">
                <?php }?>
                    <?php if ( !class_exists( 'Redux' ) ) { ?>
                        <div class="vidi_logo"><a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo get_template_directory_uri().'/framework/images/logo.png'?>" class="pull-left" alt="<?php echo esc_attr(bloginfo('name'));?>"></a></div>
                    <?php } else { ?>
                        <div class="vidi_logo"><a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($vidi_options['vidi_logo_upload']['url'])?>" class="pull-left" alt="<?php echo esc_attr(bloginfo('name'));?>"></a></div>
                    <?php }; ?>
                </div>

                    <?php if ($vidi_options['logo-menu_burger']=='1'){?>
                <div class="col-lg-8 col-md-9 col-sm-12 col-xs-6">
                    <div class="vidi_main_menu_normal hidden-xs hidden-sm">
                        <?php wp_nav_menu( array('theme_location' => 'normal_menu', 'fallback_cb' => 'vidi_menu_fallback', 'depth' => 3,  'menu_class' => 'vidi_header_menu_fixed')); ?>
                    </div>
                    <div class="vidi_burger_normal_holder hidden-lg hidden-md"><a class="vidi_burger_normal" href="#"><span></span></a></div>
                    <div class="vidi_menu_overlay_normal hidden-lg hidden-md">
                        <div class="vidi_menu_overlay_center">
                            <?php $locations = get_nav_menu_locations();
                                if (!empty($locations)){
                                    if (!empty($locations['normal_menu'])){
                                    wp_nav_menu( array('theme_location' => 'normal_menu', 'depth' => 2, 'menu_class' => 'vidi_main_menu'));
                                    };
                                }else{ wp_kses( __('<div class="text-right vidi_alert"><span>Please setup your menu<span></div>','vidi'), $allowed_html_array );};
                            ?>
                            <div class="vidi_soc_icons">
                                <?php if ($vidi_options['topline_social_fb'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_fb'])) ?>" title="facebook" target="_blank"><i class="fa fa-facebook"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_tw'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_tw'])) ?>" title="twitter" target="_blank"><i class="fa fa-twitter"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_db'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_db'])) ?>" title="dribbble" target="_blank"><i class="fa fa-dribbble"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_in'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_in'])) ?>" title="instagram" target="_blank"><i class="fa fa-instagram"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_bh'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_bh'])) ?>" title="behance" target="_blank"><i class="fa fa-behance"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_gp'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_gp'])) ?>" title="google-plus" target="_blank"><i class="fa fa-google-plus"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_li'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_li'])) ?>" title="linkedin" target="_blank"><i class="fa fa-linkedin"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_me'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_me'])) ?>" title="medium" target="_blank"><i class="fa fa-medium"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_pi'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_pi'])) ?>" title="pinterest-p" target="_blank"><i class="fa fa-pinterest-p"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_tm'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_tm'])) ?>" title="tumblr" target="_blank"><i class="fa fa-tumblr"></i></a><?php }; ?>
                                <?php if ($vidi_options['topline_social_yb'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_yb'])) ?>" title="youtube-play" target="_blank"><i class="fa fa-youtube-play"></i></a><?php }; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 hidden-md hidden-xs hidden-sm">
                    <div class="vidi_soc_icons">
                        <?php if ($vidi_options['topline_social_fb'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_fb'])) ?>" title="facebook" target="_blank"><i class="fa fa-facebook"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_tw'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_tw'])) ?>" title="twitter" target="_blank"><i class="fa fa-twitter"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_db'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_db'])) ?>" title="dribbble" target="_blank"><i class="fa fa-dribbble"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_in'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_in'])) ?>" title="instagram" target="_blank"><i class="fa fa-instagram"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_bh'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_bh'])) ?>" title="behance" target="_blank"><i class="fa fa-behance"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_gp'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_gp'])) ?>" title="google-plus" target="_blank"><i class="fa fa-google-plus"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_li'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_li'])) ?>" title="linkedin" target="_blank"><i class="fa fa-linkedin"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_me'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_me'])) ?>" title="medium" target="_blank"><i class="fa fa-medium"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_pi'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_pi'])) ?>" title="pinterest-p" target="_blank"><i class="fa fa-pinterest-p"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_tm'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_tm'])) ?>" title="tumblr" target="_blank"><i class="fa fa-tumblr"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_yb'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_yb'])) ?>" title="youtube-play" target="_blank"><i class="fa fa-youtube-play"></i></a><?php }; ?>
                    </div>
                </div>
                <?php }else{?>
                <div class="col-lg-9 col-md-9 col-sm-9 col-xs-6">
                    <div class="vidi_burger_normal_holder"><a class="vidi_burger_normal" href="#"><span></span></a></div>
                    <div class="vidi_menu_overlay_normal">
                        <div class="vidi_menu_overlay_center">
                    <?php $locations = get_nav_menu_locations();
                    if (!empty($locations)){
                        if (!empty($locations['normal_menu'])){
                        wp_nav_menu( array('theme_location' => 'normal_menu', 'depth' => 2, 'menu_class' => 'vidi_main_menu'));
                        };
                    }else{ wp_kses( __('<div class="text-right vidi_alert"><span>Please setup your menu<span></div>','vidi'), $allowed_html_array );};
                    ?>
                    <div class="vidi_soc_icons">
                        <?php if ($vidi_options['topline_social_fb'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_fb'])) ?>" title="facebook" target="_blank"><i class="fa fa-facebook"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_tw'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_tw'])) ?>" title="twitter" target="_blank"><i class="fa fa-twitter"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_db'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_db'])) ?>" title="dribbble" target="_blank"><i class="fa fa-dribbble"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_in'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_in'])) ?>" title="instagram" target="_blank"><i class="fa fa-instagram"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_bh'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_bh'])) ?>" title="behance" target="_blank"><i class="fa fa-behance"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_gp'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_gp'])) ?>" title="google-plus" target="_blank"><i class="fa fa-google-plus"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_li'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_li'])) ?>" title="linkedin" target="_blank"><i class="fa fa-linkedin"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_me'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_me'])) ?>" title="medium" target="_blank"><i class="fa fa-medium"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_pi'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_pi'])) ?>" title="pinterest-p" target="_blank"><i class="fa fa-pinterest-p"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_tm'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_tm'])) ?>" title="tumblr" target="_blank"><i class="fa fa-tumblr"></i></a><?php }; ?>
                        <?php if ($vidi_options['topline_social_yb'] != "") {?><a href="<?php echo esc_url(stripslashes($vidi_options['topline_social_yb'])) ?>" title="youtube-play" target="_blank"><i class="fa fa-youtube-play"></i></a><?php }; ?>
                    </div>
                </div>
            </div>
                </div>
                    <?php };?>
            </div>
            </div>
        </div>
    </div>
    <?php if($vidi_options['vidi_web_page_layout']==1) { ?><div class="vidi_content_holder boxed"><?php } else { ?><div class="vidi_content_holder"><?php } ?>
<?php if(!is_search()) {?>
<?php if(!is_front_page()) {?>
<?php if(!is_404()) {?>
    <?php if ( get_post_meta($post->ID, 'vidi_tagline', 1) !='no'){ ?>
    <div class="vidi_tag_line">
        <div class="container vidi_tagline_container">
            <div class="row vertical-align">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <?php if (is_page()){?>
                        <h4 class="vidi_tag_line_title"><?php the_title()?></h4>
                    <?php }elseif (is_blog()){
                        if(is_archive()){?> 
                        <h4 class="vidi_tag_line_title">
                        <?php single_cat_title() ?>
                        </h4>
                        <?php }else{
                        $blog_page_id = get_option('page_for_posts');
                        echo '<h4 class="vidi_tag_line_title">'.get_page($blog_page_id)->post_title.'</h4>';};
                     }elseif (class_exists( 'WooCommerce' ) && is_woocommerce()){ ?>
                        <h4 class="vidi_tag_line_title"><?php woocommerce_page_title(); ?></h4>
                    <?php }elseif (is_single()){ ?>
                    <h4 class="vidi_tag_line_title"><?php the_title()?></h4>
                    <?php };?>
                    <?php if (class_exists( 'WooCommerce' ) && is_woocommerce()){ ?>
                        <div class="breadcrumbs"> <?php woocommerce_breadcrumb(); ?></div>
                        <?php }else{
                            vidi_breadcrumbs();
                        }?>
                </div>
            </div>
        </div>
    </div>
    <?php };?>
    <?php };?>
<?php };?>
<?php }else{?>
<div class="vidi_tag_line">
        <div class="container vidi_tagline_container">
            <div class="row vertical-align">
                <div class="col-md-12">
                    <h4 class="vidi_tag_line_title">
                        <?php printf( wp_kses( __('Search Results for: <span class="colored">%s</span>', 'vidi'), $allowed_html_array ), get_search_query() ); ?>
                    </h4>
                </div>
            </div>
        </div>
    </div>
<?php };?>