<?php

Redux::setSection( $opt_name, array(
	'title' => __('Typography', "vidi"),
	'header' => '',
	'desc' => '',
	'icon_class' => 'icon-large',
    'icon' => 'el el-pencil-alt',
    // 'submenu' => false, // Setting submenu to false on a given section will hide it from the WordPress sidebar menu!
	'fields' => array(
	
		$fields = array(
			'id'          => 'vidi_body-typography',
			'type'        => 'typography', 
			'title'       => __('Body Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => array('body'),
			'letter-spacing'=> true,
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for body text.', 'vidi'),
			'default'     => array(
				'color'       => '#555', 
				'font-weight'  => '400', 
				'font-family' => 'Cardo', 
				'google'      => true,
				'font-size'   => '18px', 
				'line-height' => '36px',
				'letter-spacing' => '0.25px'
			),
		),
		
		
		$fields = array(
			'id'          => 'vidi_legend-typography',
			'type'        => 'typography', 
			'title'       => __('.vidi_legend Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for vidi_legend class.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '48px', 
				'line-height' => '64px'
			),
		),
		
		$fields = array(
			'id'          => 'vidi_sub_legend-typography',
			'type'        => 'typography', 
			'title'       => __('.vidi_sub_legend Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for vidi_sub_legend class.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '20px', 
				'line-height' => '36px'
			),
		),
		
		
		$fields = array(
			'id'          => 'vidi_h1-typography',
			'type'        => 'typography', 
			'title'       => __('H1 Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for H1 Header.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '36px', 
				'line-height' => '40px'
			),
		),
		
		
		
		$fields = array(
			'id'          => 'vidi_h2-typography',
			'type'        => 'typography', 
			'title'       => __('H2 Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for H2 Header.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '32px', 
				'line-height' => '52px'
			),
		),
		
		$fields = array(
			'id'          => 'vidi_h3-typography',
			'type'        => 'typography', 
			'title'       => __('H3 Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for H3 Header.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '24px', 
				'line-height' => '35px'
			),
		),
		
		$fields = array(
			'id'          => 'vidi_h4-typography',
			'type'        => 'typography', 
			'title'       => __('H4 Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for H4 Header.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '18px', 
				'line-height' => '20px'
			),
		),
		
		
		$fields = array(
			'id'          => 'vidi_h5-typography',
			'type'        => 'typography', 
			'title'       => __('H5 Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for H5 Header.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '15px', 
				'line-height' => '20px'
			),
		),
		
		
		$fields = array(
			'id'          => 'vidi_h6-typography',
			'type'        => 'typography', 
			'title'       => __('H6 Typography', 'vidi'),
			'google'      => true, 
			'compiler'    => true, 
			'font-backup' => true,
			'units'       =>'px',
			'subtitle'    => __('Typography option for H6 Header.', 'vidi'),
			'default'     => array(
				'color'       => '#212121', 
				'font-weight'  => '400', 
				'font-family' => 'Montserrat', 
				'google'      => true,
				'font-size'   => '12px', 
				'line-height' => '20px'
			),
		),
	
		),
	) );

