<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
    return;
}
?>
<article <?php post_class('vidi_mas_item'); ?>>
        <div class="shop-item">
            <div class="badge pricing sale"><?php esc_html_e( 'Sale', 'vidi-wp' )?></div>
            <div class="badge pricing featured"><?php esc_html_e( 'Trend', 'vidi-wp' )?></div>
            <?php woocommerce_template_loop_add_to_cart() ?>
            <a href="<?php echo get_the_permalink() ?>" class="product-image">

            <?php $attachment_ids = $product->get_gallery_image_ids(); ?>
            <?php if ($attachment_ids[0] !=''){?>
            <div class="vidi_first_image">
                <?php the_post_thumbnail('vidi_shop_main'); ?>
            </div>
            <div class="vidi_second_image">
                <?php echo wp_get_attachment_image($attachment_ids[0], 'vidi_shop_main');?>
            </div>
            <?php } else { ?>
            <div class="vidi_first_image vidi_single_image">
                <?php the_post_thumbnail('vidi_shop_main'); ?>
            </div>
            <?php }; ?>


                
            </a>
        </div>
        <div class="category-price-block">
            <div class="shop-category"><?php echo vidi_post_taxonomy(get_the_ID(), 'product_cat', ', ', 'name', false); ?></div>
            <div class="shop-price"><?php woocommerce_template_loop_price(); ?></div>
        </div>
        <div class="title-rating-block">
            <div class="shop-title"><a href="<?php echo get_the_permalink() ?>"><?php echo get_the_title() ?></a></div>
            <div class="shop-rating"><?php woocommerce_template_loop_rating(); ?></div>
        </div>
</article>