<?php
/*Custom Slider*/
add_shortcode('vidi_custom_slider', 'vidi_custom_slider_f');
function vidi_custom_slider_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'vidi_id' => 'example_id_for_element',
			'dots_nav' =>'Dots',
			'vidi_slider_nav' =>'Arrows',
			'vidi_slider_dots_nav' =>'Dots',
			'vidi_descr' => "Show",
			'vidi_slider_nav_s' =>'100px',
			'vidi_slider_nav_m' =>'-60px',
			'vidi_slider_nav_p' =>'120px',
			'vidi_slider_nav_c' =>'#e0e0e0',
			'vidi_slider_nav_ch' =>'#000',
			'vidi_autoplay' =>'true',
			'vidi_margin' =>'0',
			'vidi_time' =>'5000',
			'vidi_items_1400' =>'1',
			'vidi_items_m_1400' =>'0',
			'vidi_items_1200' =>'1',
			'vidi_items_m_1200' =>'0',
			'vidi_items_800' =>'1',
			'vidi_items_m_800' =>'0',
			'vidi_items_600' =>'1',
			'vidi_items_m_600' =>'0',
			'vidi_items_0' =>'1',
			'vidi_items_m_0' =>'0',
			
		), $atts)
	);
	$arrow_nav ='false';
	$vidi_dots_nav ='false';
	$output = '';
	if($vidi_slider_nav =="Arrows"){
		$arrow_nav ='true';
	}
	if($vidi_slider_dots_nav =="Dots"){
		$vidi_dots_nav ='true';
	}

	$extra_class='';
	if($vidi_descr == 'None'){$extra_class ='do_not_show_hover';}
	$output .='<style>';
		if($vidi_slider_nav =="Arrows"){
			$output .='#'.$vidi_id.' { padding:0px '.$vidi_slider_nav_p.';}';
		}
		$output .= '#'.$vidi_id.' .owl-nav .owl-prev, #'.$vidi_id.' .owl-nav .owl-next { margin-top:'.$vidi_slider_nav_m.' !important; } ';
		$output .='#'. $vidi_id.' .owl-nav .owl-prev, #'.$vidi_id.' .owl-nav .owl-next i {color:'.$vidi_slider_nav_c.'}';
	$output .='</style>';
	
	$output .='<div class="'.$extra_class.'" data-icon-size="'.$vidi_slider_nav_s.'" data-color-hover="'.$vidi_slider_nav_ch.'" data-arrows="'.$arrow_nav.'" data-dots="'.$vidi_dots_nav.'"  data-color="'.$vidi_slider_nav_c.'" class="vidi_owl_slider" id="'.$vidi_id.'">'.do_shortcode($content).'</div>';
	$output .='<script>
	jQuery.noConflict()(function($){
jQuery(window).load(function(){
		$("#'.$vidi_id.'").owlCarousel({
			loop:false,
			autoplay:'.$vidi_autoplay.',
			margin:'.$vidi_margin.',
			nav:'.$arrow_nav.',
			autoplayTimeout:'.$vidi_time.',
			autoplayHoverPause:true,
			dots:'.$vidi_dots_nav.',
			navText:[,],
			responsive: {
				0: {
					margin: '.$vidi_items_m_0.',
					items: '.$vidi_items_0.'
				},
				600: {
					margin: '.$vidi_items_m_600.',
					items: '.$vidi_items_600.'
				},
				800: {
					margin: '.$vidi_items_m_800.',
					items: '.$vidi_items_800.'
				},
				1200: {
					margin: '.$vidi_items_m_1200.',
					items: '.$vidi_items_1200.'
				},
				1400: {
					margin: '.$vidi_items_m_1400.',
					items: '.$vidi_items_1400.'
				}
			}
		});
		});
	});
	</script>';
	
	return $output;
};

/*Custom Slider*/
vc_map( array(
    "name" => __("Custom Slider", 'vidi'),
    "base" => "vidi_custom_slider",
	"category" => __('Vidi','vidi'),
    "as_parent" => array('only' => 'vc_testimonial_item, vc_portfolio_item, vidi_partner'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "show_settings_on_create" => true,
    "params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_id",
			"group" => "General",
			"heading" => __("Slider ID", 'vidi'),
			"value" => 'example_id_for_element',
			"description" => __( "Please set slider ID", 'vidi' )
		),
		array(
			'type' => 'dropdown',
			'heading' => "Autoplay",
			'param_name' => 'vidi_autoplay',
			"group" => "General",
			'value' => array( "true", "false"),
			'std' => 'true',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_time",
			"group" => "General",
			"heading" => __("Autoplay Timeout", 'vidi'),
			"value" => '5000',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_margin",
			"group" => "General",
			"heading" => __("Margin", 'vidi'),
			"value" => '0',
		),
		array(
			'type' => 'dropdown',
			'heading' => "Navigation",
			'param_name' => 'vidi_slider_dots_nav',
			"group" => "Navigation",
			'value' => array( "Dots", "None"),
			'std' => 'Dots',
		),

		array(
			'type' => 'dropdown',
			'heading' => "Navigation",
			'param_name' => 'vidi_slider_nav',
			"group" => "Navigation",
			'value' => array( "Arrows", "None"),
			'std' => 'Arrows',
		),
		
		array(
			"type" => "textfield",
			"group" => "Navigation",
			"param_name" => "vidi_slider_nav_s",
			"heading" => __("Arrows Size", 'vidi'),
			"value" => '100px',
			"description" => __( "Size in px", 'vidi' )
		),
		array(
			"type" => "textfield",
			"group" => "Navigation",
			"param_name" => "vidi_slider_nav_p",
			"heading" => __("Arrows side margin", 'vidi'),
			"value" => '120px',
			"description" => __( "Size in px", 'vidi' )
		),
		array(
			"type" => "textfield",
			"group" => "Navigation",
			"param_name" => "vidi_slider_nav_m",
			"heading" => __("Arrows top margin", 'vidi'),
			"value" => '-60px',
			"description" => __( "Size in px", 'vidi' )
		),
		
		array(
			"type" => "colorpicker",
			"group" => "Navigation",
			"param_name" => "vidi_slider_nav_c",
			"heading" => __("Arrows Color", 'vidi'),
			"value" => '#e0e0e0',
		),
		array(
			"type" => "colorpicker",
			"group" => "Navigation",
			"param_name" => "vidi_slider_nav_ch",
			"heading" => __("Arrows Color on Hover", 'vidi'),
			"value" => '#000',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"group" => "Responsive",
			"param_name" => "vidi_items_1400",
			"heading" => __("Items per row for 1400px wide screen", 'vidi'),
			"value" => '1',
			"description" => __( "For big desktops", 'vidi' )
		),
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_m_1400",
			"heading" => __("Space between for items 1400px wide screen", 'vidi'),
			"value" => '0',
			"description" => __( "For big desktops", 'vidi' )
		),
		
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_1200",
			"heading" => __("Items per row for 1200px wide screen", 'vidi'),
			"value" => '1',
			"description" => __( "For standard desktops", 'vidi' )
		),
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_m_1200",
			"heading" => __("Space between for items 1200px wide screen", 'vidi'),
			"value" => '0',
			"description" => __( "For standard desktops", 'vidi' )
		),
		
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_800",
			"heading" => __("Items per row for 800px wide screen", 'vidi'),
			"value" => '1',
			"description" => __( "For landscape tablet view", 'vidi' )
		),
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_m_800",
			"heading" => __("Space between items for 800px wide screen", 'vidi'),
			"value" => '0',
			"description" => __( "For landscape tablet view", 'vidi' )
		),
		
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_600",
			"heading" => __("Items per row for 600px wide screen", 'vidi'),
			"value" => '1',
			"description" => __( "For portrait tablet view", 'vidi' )
		),
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_m_600",
			"heading" => __("Space between items for 600px wide screen", 'vidi'),
			"value" => '0',
			"description" => __( "For portrait tablet view", 'vidi' )
		),
		
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_0",
			"heading" => __("Items per row for mobile", 'vidi'),
			"value" => '1',
			"description" => __( "For mobile", 'vidi' )
		),
		array(
			"type" => "textfield",

			"group" => "Responsive",
			"param_name" => "vidi_items_m_0",
			"heading" => __("Space between items for mobile", 'vidi'),
			"value" => '0',
			"description" => __( "For mobile", 'vidi' )
		),
		
		
		
    ),
    "js_view" => 'VcColumnView'
) );


