<?php
/*
-----------------------------------------------------------------------------------

 	Plugin Name: ViDi Widgets
 	Description: A widget thats displays your profile
 	Version: 1.0.1
 	Author: DankovThemes
 	Author URI: http://www.dankov-theme.com/
 
-----------------------------------------------------------------------------------
*/


include(plugin_dir_path( __FILE__ ).'widgets/vidi_popular_posts.php');
include(plugin_dir_path( __FILE__ ).'widgets/vidi_latest_posts.php');
include(plugin_dir_path( __FILE__ ).'widgets/vidi_recent_posts_comments.php');
include(plugin_dir_path( __FILE__ ).'widgets/wp-instagram-widget.php');


/**
 * Add function to widgets_init that'll load our widget.
 */

add_action('widgets_init', 'vidi_about_widget');

function vidi_about_widget() {
	register_widget('Vidi_About_Widget');
}


/**
 * Widget class.
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update. 
 *
 */
class Vidi_About_Widget extends WP_Widget {

	/**
	 * Widget setup.
	 */		

	function __construct() {
		parent::__construct(
			'vidi-about-widget',
			__( 'ViDi: About Us', 'vidi' ),
			array(
				'classname' => 'vidi-about-widget',
				'description' => esc_html__( 'ViDi: About Us Widget', 'vidi' ),
				'customize_selective_refresh' => true
			)
		);
	}


	/*-----------------------------------------------------------------------------------*/
	/*	Display Widget
	/*-----------------------------------------------------------------------------------*/
	
	function widget( $args, $instance ) {
		extract( $args );
		
		// Our variables from the widget settings
		$title = apply_filters('widget_title', $instance['title'] );
		$main_content = $instance['main_content'];
		$facebook = $instance['facebook'];
		$twitter = $instance['twitter'];
		$dribbble = $instance['dribbble'];
		$instagram = $instance['instagram'];
		$linkedin = $instance['linkedin'];
		$tumblr = $instance['tumblr'];
		$google = $instance['google'];

		$time_id = rand();

		/* Before widget (defined by themes). */
		// Before widget (defined by theme functions file)
	echo $before_widget;
	// Display the widget title if one was input
	if ( $title )
		echo $before_title . $title . $after_title;
		?>

		<div class="vidi_about_widget">
            <?php echo $instance['main_content']?>
            <ul class="social-footer">
				<?php if ($facebook == true) { ?><li><a href="<?php echo $instance['facebook']?>"><i class="fa fa-facebook"></i></a></li><?php } ?>
                <?php if ($twitter == true) { ?><li><a href="<?php echo $instance['twitter']?>"><i class="fa fa-twitter"></i></a></li><?php } ?>
                <?php if ($dribbble == true) { ?><li><a href="<?php echo $instance['dribbble']?>"><i class="fa fa-dribbble"></i></a></li><?php } ?>
                <?php if ($instagram == true) { ?><li><a href="<?php echo $instance['instagram']?>"><i class="fa fa-instagram"></i></a></li><?php } ?>
                <?php if ($linkedin == true) { ?><li><a href="<?php echo $instance['linkedin']?>"><i class="fa fa-linkedin"></i></a></li><?php } ?>
                <?php if ($tumblr == true) { ?><li><a href="<?php echo $instance['tumblr']?>"><i class="fa fa-tumblr"></i></a></li><?php } ?>
                <?php if ($google == true) { ?><li><a href="<?php echo $instance['google']?>"><i class="fa fa-google"></i></a></li><?php } ?>
            </ul>
        </div>

		<?php

		// After widget (defined by theme functions file)
		echo $after_widget;
	}


/*-----------------------------------------------------------------------------------*/
/*	Update Widget
/*-----------------------------------------------------------------------------------*/
	
function update( $new_instance, $old_instance ) {
	$instance = $old_instance;

	// Strip tags to remove HTML (important for text inputs)
	$instance['title'] = strip_tags( $new_instance['title'] );
	// Stripslashes for html inputs
	$instance['main_content'] = $new_instance['main_content'];
	$instance['facebook'] = $new_instance['facebook'];
	$instance['twitter'] = $new_instance['twitter'];
	$instance['dribbble'] = $new_instance['dribbble'];
	$instance['instagram'] = $new_instance['instagram'];
	$instance['linkedin'] = $new_instance['linkedin'];
	$instance['tumblr'] = $new_instance['tumblr'];
	$instance['google'] = $new_instance['google'];

	return $instance;
}


/*-----------------------------------------------------------------------------------*/
/*	Widget Settings (Displays the widget settings controls on the widget panel)
/*-----------------------------------------------------------------------------------*/
	 
function form( $instance ) {

	// Set up some default widget settings
	$defaults = array(	'title'				=> __( 'About Us' , 'vidi' ),
						'main_content'	=> '',
						'facebook'	=> 'http://facebook.com/',
						'twitter'		=> 'http://twitter.com/',
						'dribbble'		=> 'http://dribbble.com/',
						'instagram'		=> '',
						'linkedin'		=> '',
						'tumblr'		=> '',
						'google'	=> '',
					);
	
	$instance = wp_parse_args((array) $instance, $defaults);
	?>

	<!-- Widget Title: Text Input -->
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'vidi') ?></label>
		<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
	</p>

    <p>
		<label for="<?php echo $this->get_field_id( 'main_content' ); ?>"><?php _e('Text:', 'vidi') ?></label>
		<textarea  style="height:200px;" type="text" class="widefat" id="<?php echo $this->get_field_id( 'main_content' ); ?>" name="<?php echo $this->get_field_name( 'main_content' ); ?>" ><?php echo $instance['main_content']; ?></textarea>
	</p>

    <p>
		<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php _e('Facebook:', 'vidi') ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo stripslashes(htmlspecialchars(( $instance['facebook'] ), ENT_QUOTES)); ?>" />
	</p>
    <p>
		<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e('Twitter:', 'vidi') ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo stripslashes(htmlspecialchars(( $instance['twitter'] ), ENT_QUOTES)); ?>" />
	</p>
    <p>
		<label for="<?php echo $this->get_field_id( 'dribbble' ); ?>"><?php _e('Dribbble:', 'vidi') ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'dribbble' ); ?>" name="<?php echo $this->get_field_name( 'dribbble' ); ?>" value="<?php echo stripslashes(htmlspecialchars(( $instance['dribbble'] ), ENT_QUOTES)); ?>" />
	</p>
    <p>
		<label for="<?php echo $this->get_field_id( 'instagram' ); ?>"><?php _e('Instagram:', 'vidi') ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'instagram' ); ?>" name="<?php echo $this->get_field_name( 'instagram' ); ?>" value="<?php echo stripslashes(htmlspecialchars(( $instance['instagram'] ), ENT_QUOTES)); ?>" />
	</p>
    <p>
		<label for="<?php echo $this->get_field_id( 'linkedin' ); ?>"><?php _e('LinkedIn:', 'vidi') ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'linkedin' ); ?>" name="<?php echo $this->get_field_name( 'linkedin' ); ?>" value="<?php echo stripslashes(htmlspecialchars(( $instance['linkedin'] ), ENT_QUOTES)); ?>" />
	</p>
    <p>
		<label for="<?php echo $this->get_field_id( 'tumblr' ); ?>"><?php _e('Tumblr:', 'vidi') ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'tumblr' ); ?>" name="<?php echo $this->get_field_name( 'tumblr' ); ?>" value="<?php echo stripslashes(htmlspecialchars(( $instance['tumblr'] ), ENT_QUOTES)); ?>" />
	</p>
    <p>
		<label for="<?php echo $this->get_field_id( 'google' ); ?>"><?php _e('Google Plus:', 'vidi') ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'google' ); ?>" name="<?php echo $this->get_field_name( 'google' ); ?>" value="<?php echo stripslashes(htmlspecialchars(( $instance['google'] ), ENT_QUOTES)); ?>" />
	</p>

	<?php
	}
}
?>